using System.Collections;
using UnityEngine;
using UnityEngine.UI;

public class CanvasManager : MonoBehaviour
{
    public GameObject startCanvas; // Start Canvas'ını buraya sürükleyip bırakın
    public GameObject GamePanel;

    public Button soundButton; // Ses butonunu buraya sürükleyip bırakın
    public Sprite soundOnSprite; // Ses açık olduğunda gösterilecek sprite
    public Sprite soundOffSprite; // Ses kapalı olduğunda gösterilecek sprite

    private bool isSoundOn = true; // Sesin açık olup olmadığını tutan değişken

    private void Start()
    {
        // Oyun başladığında Start Canvas'ını aktif, Game Canvas'ını pasif yap
        //startCanvas.SetActive(true);
        GamePanel.SetActive(false);

        // Ses butonuna tıklama olayını ekle
        soundButton.onClick.AddListener(ToggleSound);
    }

    public void ShowStartCanvas()
    {
        startCanvas.SetActive(true);
        GamePanel.SetActive(false);
    }

    public void ShowGameCanvas()
    {
        startCanvas.SetActive(false);
        GamePanel.SetActive(true);
        PlayerController.Instance.gameObject.SetActive(true);
    }

    public void ToggleSettingsPanel(GameObject settingsPanel)
    {
        // Settings panelini açıp kapatmak için
        settingsPanel.SetActive(!settingsPanel.activeSelf);
    }

    public void ToggleSound()
    {
        // Tüm AudioSource bileşenlerini bul
        AudioSource[] allAudioSources = FindObjectsOfType<AudioSource>();

        // Ses durumunu tersine çevir
        isSoundOn = !isSoundOn;

        // Tüm AudioSource bileşenlerini aç veya kapat
        foreach (AudioSource audioSource in allAudioSources)
        {
            audioSource.enabled = isSoundOn;
        }

        // Butonun sprite'ını güncelle
        soundButton.image.sprite = isSoundOn ? soundOnSprite : soundOffSprite;
    }
}